Skip to main content
POST
/
api
/
v2
/
public
/
config
/
rule-engine
/
:fieldId
curl -X POST "https://app.refold.ai/api/v2/public/config/rule-engine/{fieldId}" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "linked_account_id: YOUR_LINKED_ACCOUNT_ID" \
  -H "slug: {slug}" \
  -H "Content-Type: application/json" \
  -d '{ "rule_column": { "name": "Stage", "field_type": "select" } }'
{
  "options": [
    { "name": "Stage", "value": "stage" },
    { "name": "Amount", "value": "amount" }
  ]
}
Resolve the available column options for a rule-engine config field. Provide the field-shaped rule_column describing the column whose options you want. The field must be of rule-engine type with defined columns.

Authentication

This endpoint is scoped to a linked account, so it accepts either authentication method. Option 1 — API key
x-api-key
string
Your Refold API key.
linked_account_id
string
The linked account.
Option 2 — Session token
Authorization
string
Session token. Format: Bearer YOUR_SESSION_TOKEN

Headers

slug
string
required
The app slug. Example: hubspot

Path Parameters

fieldId
string
required
The rule-engine field ID.

Query Parameters

config_id
string
Config to scope to. Defaults to the linked account’s config.
workflow_id
string
Scope to a specific workflow.

Body Parameters

rule_column
object
required
A field-shaped object describing the rule column to resolve options for.

Response

Returns the resolved options for the rule column.
{
  "options": [
    { "name": "Stage", "value": "stage" },
    { "name": "Amount", "value": "amount" }
  ]
}
curl -X POST "https://app.refold.ai/api/v2/public/config/rule-engine/{fieldId}" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "linked_account_id: YOUR_LINKED_ACCOUNT_ID" \
  -H "slug: {slug}" \
  -H "Content-Type: application/json" \
  -d '{ "rule_column": { "name": "Stage", "field_type": "select" } }'